FBFADE(1)

NAME
fbfade - fade a frame buffer image in or out

SYNOPSIS

fbfade [-h] [-f input image name] [-s input square size] [-w input width]
[-n input height] [-S output square size] [-W output width] [-N output height]
[[-F ] output frame buffer name]

DESCRIPTION

Âfbfade gradually displays an image on a frame buffer, one randomly chosen pixel at a time.

  Options

Â-h
    (âhigh resolutionâ)Assumes 1024 by 1024 pixels for default input image size instead of 512 by 512. Explicitly specified sizes override the default, and if actual input image size is smaller than requested, the actual size will be used. If output frame buffer size is not specified, the revised input size will be requested for output. If actual output frame buffer size is greater than requested, only the lower-left portion of the frame buffer will be used. Actual sizes depend on details of specific frame buffers.

-f input image name
    Inputs the image to be displayed from the specified frame buffer or pix(5) file, instead of using pure background (which fades out the image already on the output frame buffer).

-s input square size
    Specifies input image width and height.

-w input width
    Specifies input image width.

-n input height
    Specifies input image height.

-S output square size
    Specifies output frame buffer width and height.

-W output width
    Specifies output frame buffer width.

-N output height
    Specifies output frame buffer height.

-F output frame buffer name
    Outputs to the specified frame buffer instead of the one specified by the ÂFB_FILE environment variable (or the default, if ÂFB_FILE is not set). If this is the last option specified, the Â-F is optional.

CAVEAT

Âfbfade works best in conjunction with a frame buffer having very fast access to pixels.

EXAMPLE

The following shell script can be used to produce a slick âslide showâ:

fbclear for âi âin â*.pix do fbfade â-f $i sleep â15 done fbfade

SEE ALSO

libfb(3), pix(5).

DIAGNOSTICS

Error messages are intended to be self-explanatory.

AUTHORS

Douglas A. Gwyn, BRL/VLD-VMB Gary S. Moss, BRL/VLD-VMB

COPYRIGHT

This software is Copyright (c) 1989-2013 by the United States Government as represented by U.S. Army Research Laboratory.

BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.